Bug 89161 - (SOUND ES1371)ensoniq 5880 audioPCI is detected and es1371 is loaded but no sound is played
(SOUND ES1371)ensoniq 5880 audioPCI is detected and es1371 is loaded but no s...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-18 15:40 EDT by Raul Saura
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raul Saura 2003-04-18 15:40:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Autodetection utils correctly detect the board as ensoniq 5880 audioPCI

thsoe are the relevant entries of /proc/pci:

  Bus  2, device  13, function  0:
    Multimedia audio controller: Ensoniq 5880 AudioPCI (rev 2).
      IRQ 3.
      Master Capable.  Latency=32.  Min Gnt=12.Max Lat=128.
      I/O at 0xdf00 [0xdf3f].

the module configured in /etc/modules.conf is

alias sound-slot-0 es1371

and this is the output of lsmod:

Module                  Size  Used by    Not tainted
es1371                 30792   0  (unused)
ac97_codec             13640   0  [es1371]
gameport                3364   0  [es1371]
r128                   88312   1 
agpgart                47776   3 
parport_pc             19076   1  (autoclean)
lp                      8996   0  (autoclean)
parport                37056   1  (autoclean) [parport_pc lp]
autofs                 13268   0  (autoclean) (unused)
3c59x                  30704   1 
sg                     36524   0  (autoclean)
sr_mod                 18136   0  (autoclean)
ide-scsi               12208   0 
scsi_mod              107160   3  [sg sr_mod ide-scsi]
ide-cd                 35708   0 
cdrom                  33728   0  [sr_mod ide-cd]
audio                  46648   0 
soundcore               6404   6  [es1371 audio]
keybdev                 2944   0  (unused)
mousedev                5492   2 
hid                    22148   0  (unused)
input                   5856   0  [keybdev mousedev hid]
usb-uhci               26348   0  (unused)
usbcore                78816   1  [audio hid usb-uhci]
ext3                   70784   1 
jbd                    51892   1  [ext3]

There's also an USB audio device configured, this is proc/usb/devices:

T:  Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.00 Cls=ff(vend.) Sub=ff Prot=ff MxPS= 8 #Cfgs=  1
P:  Vendor=046d ProdID=0850 Rev= 1.00
S:  Product=Camera
C:* #Ifs= 3 Cfg#= 1 Atr=80 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
E:  Ad=81(I) Atr=01(Isoc) MxPS=   0 Ivl=1ms
E:  Ad=82(I) Atr=03(Int.) MxPS=   1 Ivl=16ms
I:  If#= 0 Alt= 1 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
E:  Ad=81(I) Atr=01(Isoc) MxPS=1023 Ivl=1ms
E:  Ad=82(I) Atr=03(Int.) MxPS=   1 Ivl=16ms
I:  If#= 1 Alt= 0 #EPs= 0 Cls=01(audio) Sub=01 Prot=00 Driver=audio
I:  If#= 2 Alt= 0 #EPs= 1 Cls=01(audio) Sub=02 Prot=00 Driver=audio
E:  Ad=83(I) Atr=01(Isoc) MxPS=   0 Ivl=1ms
I:  If#= 2 Alt= 1 #EPs= 1 Cls=01(audio) Sub=02 Prot=00 Driver=audio
E:  Ad=83(I) Atr=01(Isoc) MxPS= 100 Ivl=1ms

the same card with the same configuration works on RHL-8.0

a "ls -laR / > /dev/audio1" produces some noise but xmms does not play an mp3, a
song of 3 minutes lasts for 4 o 5 seconds on the progress bar.


Version-Release number of selected component (if applicable):
kernel-2.4.20-9 on i686

How reproducible:
Always

Steps to Reproduce:
1. click start here
2. click system settings
3. click soundcard detection
4. Ensoniq 5880 audioPCI detected. Click play test sound

    

Actual Results:  No sound in played.

Expected Results:  Test sound should be played

Additional info:
Comment 1 Alan Cox 2003-06-05 12:25:15 EDT
If you remove the camera do things work sanely - ie is xmms playing to the camera?
Comment 2 Bugzilla owner 2004-09-30 11:40:48 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.